#include <fstream.h>

#define NMax 51
#define DMax 30

typedef int NrMare[DMax];
NrMare Q[NMax], aux;
int N;

void inmulteste(int p1, int p2)
{
  for(int i=0;i<DMax;aux[i++]=0);
  int j,ji;
  for(i=0;!Q[p1][i];i++);
  for(ji=0;!Q[p2][ji];ji++);
  for(;i<DMax;i++)
    for(j=ji;j<DMax;j++)
      aux[i+j-DMax+1]+=Q[p1][i]*Q[p2][j];
  for(i=DMax-1;i>0;i--)
 {
   aux[i-1]+=aux[i]/10;
   aux[i]%=10;
 }
}

void init(int k, int v)
{
 Q[k][DMax-1]=v;
 for(int i=0;i<DMax-1;Q[k][i++]=0);
 }

void aduna(int p)
{
 int t=0;
 for(int i=DMax-1;i>0;i--)
 {
   Q[p][i]+=t+aux[i];
   t=Q[p][i]/10;
   Q[p][i]%=10;
 }
 Q[p][0]=t;
}



void scrie()
{
 fstream fout("retea.out",ios::out);
 for(int i=0;!Q[N][i];i++);
 while(i<DMax)
   fout<<Q[N][i++];
}

void main()
{
 fstream fin("retea.in",ios::in);
 fin>>N;
 int i,k;
 init(1,1);
 for (i=2;i<=N;i++)
  {
   init(i,0);
   for(k=1;k<i;k++)
   {
     inmulteste(k,i-k);
     aduna(i);
   }
  }
scrie();
}